Skip to content
Start here

Patch Gateway Log

PATCH/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/logs/{id}

Updates metadata for an AI Gateway log entry.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
Path ParametersExpand Collapse
account_id: string
gateway_id: string

gateway id

maxLength64
minLength1
id: string
Body ParametersJSONExpand Collapse
feedback: optional number
maximum1
minimum-1
metadata: optional map[string or number or boolean]
One of the following:
string
number
boolean
score: optional number
maximum100
minimum0
ReturnsExpand Collapse
result: unknown
success: boolean

Patch Gateway Log

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/gateways/$GATEWAY_ID/logs/$ID \
    -X PATCH \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}